Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage.mask und portage.unmask -> Wer kennst sich aus
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
SvenFischer
Veteran
Veteran


Joined: 05 Feb 2003
Posts: 1033
Location: Berlin

PostPosted: Mon Jul 16, 2012 8:59 am    Post subject: portage.mask und portage.unmask -> Wer kennst sich aus Reply with quote

Hallo,

nach so vielen Jahren kann ich mir das vorliegende Verhalten nicht erklären und bitte Euch um Hilfe:

Ich will die Libreoffice Version 3.5.5.3 demaskieren, und gleichzeitig ein Downgrade verhindern:

1. /etc/portage/package.unmask
Code:
=app-office/libreoffice-3.5.5.3


-> Ergebnis
emerge world -uDNpv
Code:
[ebuild     UD ] app-office/libreoffice-3.5.4.2-r1 [3.5.5.3] USE="branding cups dbus graphite java kde mysql opengl svg vba webdav xmlsec (-aqua) -binfilter -binfilterdebug -eds -gnome -gstreamer -gtk -jemalloc -nlpsolver -nsplugin -odk -pdfimport -postgres -test" 0 kB


2. nano /etc/portage/package.mask
Code:
<app-office/libreoffice-3.5.5.3


->Ergebns
emerge world -uDNpv
Code:
[ebuild  N     ] app-office/libreoffice-bin-3.5.4.2-r1  USE="cups java kde (-aqua) -debug -gnome" 79,683 kB
[blocks B      ] app-office/libreoffice ("app-office/libreoffice" is blocking app-office/libreoffice-bin-3.5.4.2-r1)
[blocks B      ] app-office/libreoffice-bin ("app-office/libreoffice-bin" is blocking app-office/libreoffice-3.5.5.3)


Wer kann mir bitte den rechten Weg weisen und erklären?

Danke,

Sven
_________________
Core2Duo, 4GB RAM, AMD/ATI 4850 and nice person in front!
Back to top
View user's profile Send private message
py-ro
Veteran
Veteran


Joined: 24 Sep 2002
Posts: 1733
Location: St. Wendel

PostPosted: Mon Jul 16, 2012 9:12 am    Post subject: Reply with quote

Spontan würde ich sagen du schmeißt -bin und nicht -bin Version durcheinander, bzw. hast -bin noch installiert
Back to top
View user's profile Send private message
b3rT
n00b
n00b


Joined: 09 Jun 2003
Posts: 67
Location: Germany

PostPosted: Mon Jul 16, 2012 9:13 am    Post subject: Reply with quote

da fehlt dir wahrscheinlich nur das richtige keyword. bei sowas ist es praktisch zu versuchen die gewünschte version zu mergen.
Code:
 emerge -pv =app-office/libreoffice-3.5.5.3


erzählt mir
Code:
The following keyword changes are necessary to proceed:
#required by =app-office/libreoffice-3.5.5.3 (argument)
=app-office/libreoffice-3.5.5.3 ~amd64
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Mon Jul 16, 2012 9:13 am    Post subject: Reply with quote

Wenn ich in das ebuild gucke:
http://en.znurt.org/app-office/libreoffice

Du brauchst ein unstable keyword:
Code:
echo 'app-office/libreoffice ~amd64' >> /etc/portage/package.accept_keywords

_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 482

PostPosted: Mon Jul 16, 2012 9:14 am    Post subject: Reply with quote

Wenn Du Dir
Code:
eix -e app-office/libreoffice
anschaust, so siehst Du dass die Version 3.5.5.3 nicht maskiert ist (kein [M]) sondern lediglich ein Testing-Keyword (~) hat. Das bedeutet, wenn Du diese Version demaskieren willst musst Du diese in die /etc/portage/package.keywords hinzufügen.
Weitere Infos was welches Zeichen bedeutet in der "eix" Ausgabe bedeutet findest Du unter "man eix". In der Man-Page einfach mit "/" nach "Masking" suchen.
Back to top
View user's profile Send private message
SvenFischer
Veteran
Veteran


Joined: 05 Feb 2003
Posts: 1033
Location: Berlin

PostPosted: Mon Jul 16, 2012 10:18 am    Post subject: Reply with quote

Hi Jungs,

vielen Dank für die schnelle Hilfe:

Ich habe einfach das Paket in die .keywords reingehauen und das wars!

Das Problem tauchte wohl dadurch auf, das das Paket noch masked war, dann unstable wurde.

Wie macht Ihr das so von der Vorgehenseweise wenn ein Paket masked ist:

z.B.

1. in die .unmask die exakte Version
2. gleich vorsichtshalber noch in die .keywords mit der exakten Version

Danke,

Sven

@py-ro Warum er eine bin Version installieren will habe ich auch nicht verstanden - es ist keine installiert!
_________________
Core2Duo, 4GB RAM, AMD/ATI 4850 and nice person in front!
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Jul 16, 2012 10:23 am    Post subject: Reply with quote

Quote:
Warum er eine bin Version installieren will habe ich auch nicht verstanden - es ist keine installiert!

Wegen virtual/ooo
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 482

PostPosted: Mon Jul 16, 2012 11:22 am    Post subject: Reply with quote

Quote:
Wie macht Ihr das so von der Vorgehenseweise wenn ein Paket masked ist

Kommt drauf an ob ich immer die aktuellste Version haben will oder aus irgend einem Grund eine maskierte Version benötige.
Im Fall 1: Ohne Version demaskieren.
Im Fall 2 als =category/paket-version*. Die "-rX" Updates werden damit erlaubt.
Wenn ein Downgrade vorgeschlagen wird (kommt eigentlich selten vor) so prüfe ich wie der aktuelle Stand der Dinge ist und passe die Demaskierung entsprechend an.
Auf jeden Fall bereinige ich regelmäßig /etc/portage mit Hilfe von "eix-test-obsolete".
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Jul 16, 2012 11:32 am    Post subject: Reply with quote

bell wrote:
Im Fall 2 als =category/paket-version*. Die "-rX" Updates werden damit erlaubt.

Dafür gibts aber egentlich
~category/package-version
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 482

PostPosted: Mon Jul 16, 2012 1:29 pm    Post subject: Reply with quote

franzf wrote:
bell wrote:
Im Fall 2 als =category/paket-version*. Die "-rX" Updates werden damit erlaubt.

Dafür gibts aber egentlich
~category/package-version
Ich weiss, Gewohnheit :cry:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum